%define oname	biopython
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Summary:	The Biopython Project
Name:		python-biopython
Version:	1.79
Release:	%mkrel 2
License:	BSD
Group:		Development/Python
Url:		http://biopython.org/
Source0:	http://biopython.org/DIST/%{oname}-%{version}.tar.xz
BuildRequires:	flex
BuildRequires:	gcc

%description
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python modules from the Biopython Project
used to process biological data.

%package	-n python3-biopython
Summary:	The Biopython Project for Python3
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-reportlab
BuildRequires:	python3-numpy
BuildRequires:	python3-numpy-devel
Requires:	python3-numpy
Requires:	python3-reportlab
Requires:	wise2
%{?python_provide:%python_provide python3-biopython}
Obsoletes: python3-biopython-tools < %{version}
Obsoletes: python-biopython

%description -n python3-biopython
The Biopython Project is an international association of developers of
freely available Python tools for computational molecular biology.

http://biopython.org provides an online resource for modules,
scripts, and web links for developers of Python-based software for
life science research.

This package provides various Python 3 modules from the Biopython Project
used to process biological data.

%package	-n python3-biopython-sql
Summary:	Code for using Biopython with BioSQL databases
Group:		Development/Python
Requires:	python3-biopython = %{version}-%{release}
Requires:	python3-psycopg2
Obsoletes: python-biopython-sql

%description -n python3-biopython-sql
BioSQL is meant to be a common data storage layer supported by all the
different Bio* projects, Bioperl, Biojava, Biopython, and Bioruby.
Entries stored through an application written in, say, Bioperl could
be retrieved by another written in Biojava.

%package	doc
Summary:	The Biopython Project documentation
Group:		Documentation
Provides:	biopython-doc = %{version}-%{release}
Obsoletes:	 biopython-doc

%description doc
This package provides the documentation for the various components of the
Biopython Project.

%prep
%setup -q -n %{oname}-%{version}

# remove all execute bits from documentation and fix line endings
find Scripts -type f -exec chmod -x {} 2>/dev/null ';'
find Doc -type f -exec chmod -x {} 2>/dev/null ';'
find Doc -type f -exec sed -i 's/\r//' {} 2>/dev/null ';'

# remove execute bits from Python modules
find Bio -type f -exec chmod -x {} 2>/dev/null ';'
# remove she-bang lines in .py files to keep rpmlint happy
find Bio -type f -name "*.py" -exec sed -i '/^#![ ]*\/usr\/bin\/.*$/ d' {} 2>/dev/null ';'

%build
%{__python3} setup.py build_ext -lm build

%install
%py3_install -- --install-data=%{_datadir}/python-biopython

%files doc
%doc Doc/*.pdf Doc/examples/

%files -n python3-biopython
%{python3_sitearch}/Bio
%{python3_sitearch}/*.egg-info
%doc Scripts
%doc CONTRIB.rst DEPRECATED.rst LICENSE.rst NEWS.rst README.rst

%files -n python3-biopython-sql
%{python3_sitearch}/BioSQL
%doc LICENSE.rst


%changelog
* Sun Oct 09 2022 tex - 1.79-2pclos2022
- rebuild against updates

* Sat Aug 20 2022 tex - 1.79-1pclos2022
- new version
